Loading...
Searching...
No Matches
icu::message2::data_model::Operator Class Reference

The Operator class corresponds to the FunctionRef type in the Expression interface defined in https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model.md#patterns. More...

`#include <messageformat2_data_model.h>`

Inheritance diagram for icu::message2::data_model::Operator:

## Data Structures

class | Builder
| The mutable Operator::Builder class allows the operator to be constructed incrementally. More...

## Public Member Functions

const FunctionName & | getFunctionName () const
| Accesses the function name.
std::vector< Option > | getOptions () const
| Accesses function options.
| Operator (const Operator &other) noexcept
| Copy constructor.
Operator & | operator= (Operator) noexcept
| Assignment operator.
| Operator ()
| Default constructor.
virtual | ~Operator ()
| Destructor.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class.

## Friends

class | Binding
class | Builder
class | message2::Checker
class | message2::MessageFormatter
class | message2::Serializer
void | swap (Operator &o1, Operator &o2) noexcept
| Non-member swap function.

## Detailed Description

The Operator class corresponds to the FunctionRef type in the Expression interface defined in https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model.md#patterns.

It represents the annotation that an expression can have: a function name paired with a map from option names to operands (possibly empty).

Operator is immutable, copyable and movable.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 767 of file messageformat2_data_model.h.

## Constructor & Destructor Documentation

## Operator() [1/2]

icu::message2::data_model::Operator::Operator | ( | const Operator & | other | ) |

noexcept

Copy constructor.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

References Operator().

Referenced by Operator(), operator=(), swap, and ~Operator().

## Operator() [2/2]

icu::message2::data_model::Operator::Operator | ( |  | ) |

inline

Default constructor.

Puts the Operator into a valid but undefined state.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 901 of file messageformat2_data_model.h.

## ~Operator()

virtual icu::message2::data_model::Operator::~Operator | ( |  | ) |

virtual

Destructor.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

References Operator().

## Member Function Documentation

## getFunctionName()

const FunctionName & icu::message2::data_model::Operator::getFunctionName | ( |  | ) | const

Accesses the function name.

Returns
  The function name of this operator.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

## getOptions()

std::vector< Option > icu::message2::data_model::Operator::getOptions | ( |  | ) | const

inline

Accesses function options.

Returns
  A vector of function options for this operator.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 786 of file messageformat2_data_model.h.

## operator=()

Operator & icu::message2::data_model::Operator::operator= | ( | Operator |  | ) |

noexcept

Assignment operator.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

References Operator().

## Friends And Related Symbol Documentation

## Binding

friend class Binding

friend

Definition at line 910 of file messageformat2_data_model.h.

## Builder

friend class Builder

friend

Definition at line 911 of file messageformat2_data_model.h.

## message2::Checker

friend class message2::Checker

friend

Definition at line 912 of file messageformat2_data_model.h.

## message2::MessageFormatter

friend class message2::MessageFormatter

friend

Definition at line 913 of file messageformat2_data_model.h.

## message2::Serializer

friend class message2::Serializer

friend

Definition at line 914 of file messageformat2_data_model.h.

## swap

void swap | ( | Operator & | o1,
|  | Operator & | o2 )

friend

Non-member swap function.

Parameters

  o1 | will get o2's contents
  o2 | will get o1's contents

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 881 of file messageformat2_data_model.h.

References Operator(), and swap.

Referenced by swap.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_data_model.h